Package com.complexible.stardog.security

# Enum Class ActionType

java.lang.Object
java.lang.Enum<ActionType>
com.complexible.stardog.security.ActionType

All Implemented Interfaces:
  `Serializable`, `Comparable<ActionType>`, `Constable`

public enum ActionType extends Enum<ActionType>
Enumeration containing all action types that can be used in `permissions`

Since:
  0.9
Version:
  2.0
Author:
  Blazej Bulka
See Also:
  - `CoreResourceType`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `CREATE`
  `DELETE`
  `EXECUTE`
  `GRANT`
  `READ`
  `REVOKE`
  `WRITE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ActionType`
  `fromString(String text)`
  `String`
  `toString()`
  `static ActionType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ActionType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### READ

    public static final ActionType READ

  - ### WRITE

    public static final ActionType WRITE

  - ### CREATE

    public static final ActionType CREATE

  - ### DELETE

    public static final ActionType DELETE

  - ### REVOKE

    public static final ActionType REVOKE

  - ### GRANT

    public static final ActionType GRANT

  - ### EXECUTE

    public static final ActionType EXECUTE

  - ### ALL

    public static final ActionType ALL

- ## Method Details

  - ### values

    public static ActionType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ActionType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ActionType>`

  - ### fromString

    public static ActionType fromString(String text)